import { useCreateListMutation } from './src/createList.generated';
import { useGetMyTodoListsQuery } from './src/getMyTodoLists.generated';

function App() {
  const { data, loading } = useGetMyTodoListsQuery();
  const [createList] = useCreateListMutation();
  if (loading) {
    return null;
  }
  return (
    <main>
      <button
        onClick={() => createList({ variables: { name: 'new todo list' } })}
      >
        Create a new list
      </button>
      <span>{data?.me.todoLists.length} lists</span>
      <ul>
        {data?.me.todoLists.map((todoList) => (
          <li key={todoList.id}>{todoList.name}</li>
        ))}
      </ul>
    </main>
  );
}
