import * as Types from './generated/graphql';

import { gql } from '@apollo/client';
import { TodoListSummaryFragmentDoc } from './fragments/TodoListSummary.generated';
import * as Apollo from '@apollo/client';
const defaultOptions = {} as const;
export type CreateListMutationVariables = Types.Exact<{
  name: Types.Scalars['String'];
}>;


export type CreateListMutation = { __typename?: 'Mutation', createList: { __typename?: 'TodoList', id: string, name: string } };


export const CreateListDocument = gql`
    mutation createList($name: String!) {
  createList(input: {name: $name}) {
    ...TodoListSummary
  }
}
    ${TodoListSummaryFragmentDoc}`;
export type CreateListMutationFn = Apollo.MutationFunction<CreateListMutation, CreateListMutationVariables>;

/**
 * __useCreateListMutation__
 *
 * To run a mutation, you first call `useCreateListMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useCreateListMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [createListMutation, { data, loading, error }] = useCreateListMutation({
 *   variables: {
 *      name: // value for 'name'
 *   },
 * });
 */
export function useCreateListMutation(baseOptions?: Apollo.MutationHookOptions<CreateListMutation, CreateListMutationVariables>) {
        const options = {...defaultOptions, ...baseOptions}
        return Apollo.useMutation<CreateListMutation, CreateListMutationVariables>(CreateListDocument, options);
      }
export type CreateListMutationHookResult = ReturnType<typeof useCreateListMutation>;
export type CreateListMutationResult = Apollo.MutationResult<CreateListMutation>;
export type CreateListMutationOptions = Apollo.BaseMutationOptions<CreateListMutation, CreateListMutationVariables>;