import * as Types from './generated/graphql';

import { gql } from '@apollo/client';
import { TodoListSummaryFragmentDoc } from './fragments/TodoListSummary.generated';
import * as Apollo from '@apollo/client';
const defaultOptions = {} as const;
export type GetMyTodoListsQueryVariables = Types.Exact<{ [key: string]: never; }>;


export type GetMyTodoListsQuery = { __typename?: 'Query', me: { __typename?: 'User', id: string, todoLists: Array<{ __typename?: 'TodoList', id: string, name: string }> } };


export const GetMyTodoListsDocument = gql`
    query getMyTodoLists {
  me {
    id
    todoLists {
      ...TodoListSummary
    }
  }
}
    ${TodoListSummaryFragmentDoc}`;

/**
 * __useGetMyTodoListsQuery__
 *
 * To run a query within a React component, call `useGetMyTodoListsQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetMyTodoListsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetMyTodoListsQuery({
 *   variables: {
 *   },
 * });
 */
export function useGetMyTodoListsQuery(baseOptions?: Apollo.QueryHookOptions<GetMyTodoListsQuery, GetMyTodoListsQueryVariables>) {
        const options = {...defaultOptions, ...baseOptions}
        return Apollo.useQuery<GetMyTodoListsQuery, GetMyTodoListsQueryVariables>(GetMyTodoListsDocument, options);
      }
export function useGetMyTodoListsLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<GetMyTodoListsQuery, GetMyTodoListsQueryVariables>) {
          const options = {...defaultOptions, ...baseOptions}
          return Apollo.useLazyQuery<GetMyTodoListsQuery, GetMyTodoListsQueryVariables>(GetMyTodoListsDocument, options);
        }
export type GetMyTodoListsQueryHookResult = ReturnType<typeof useGetMyTodoListsQuery>;
export type GetMyTodoListsLazyQueryHookResult = ReturnType<typeof useGetMyTodoListsLazyQuery>;
export type GetMyTodoListsQueryResult = Apollo.QueryResult<GetMyTodoListsQuery, GetMyTodoListsQueryVariables>;