import { sign as jwtSign, JwtPayload, SignOptions } from 'jsonwebtoken';
import { v4 as uuidV4 } from 'uuid';
import { ISSUER, AUDIENCE, SECRET } from '../src/constants';

export function sign(signOptions: SignOptions): string {
  const payload: JwtPayload = {
    sub: uuidV4(),
    iat: Math.floor(Date.now() / 1000), // iat = Issued At
    jti: uuidV4(),
    iss: ISSUER,
    aud: [AUDIENCE],
  };
  return jwtSign(payload, SECRET, signOptions);
}
