import { InputType, Field, ID } from '@nestjs/graphql';
import { IsNotEmpty, IsUUID } from 'class-validator';

@InputType()
export class CreateItemInput {
  @IsUUID()
  @Field(() => ID)
  todoListId: string;

  @IsNotEmpty()
  @Field()
  title: string;
}
