import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { TodoItem } from './models/todoItem.model';
import { TodoList } from './models/todoList.model';
import { TodoItemResolver } from './todoItem.resolver';
import { TodoListResolver } from './todoList.resolver';
import { TodosResolver } from './todos.resolver';
import { TodosService } from './todos.service';

@Module({
  imports: [TypeOrmModule.forFeature([TodoList, TodoItem])],
  providers: [TodoItemResolver, TodoListResolver, TodosResolver, TodosService],
})
export class TodoModule {}
