import { ResolveField, Resolver } from '@nestjs/graphql';
import { TodoItem } from './models/todoItem.model';
import { TodoList } from './models/todoList.model';
import { TodosService } from './todos.service';

@Resolver(TodoList)
export class TodoListResolver {
  constructor(private todosService: TodosService) {}

  @ResolveField()
  async items(list: TodoList): Promise<TodoItem[]> {
    return this.todosService.getListItems(list.id);
  }
}
