import { Field, ID, ObjectType } from '@nestjs/graphql';
import { TodoList } from '../../todo/models/todoList.model';
import { Entity, OneToMany, PrimaryGeneratedColumn } from 'typeorm';

@Entity()
@ObjectType()
export class User {
  @PrimaryGeneratedColumn('uuid')
  @Field(() => ID)
  id: string;

  @OneToMany(() => TodoList, (todoList) => todoList.author)
  @Field(() => [TodoList])
  todoLists: TodoList[];
}
