import { ResolveField, Resolver } from '@nestjs/graphql';
import type { TodoList } from '../todo/models/todoList.model';
import { User } from './models/user.model';
import { UsersService } from './users.service';

@Resolver(User)
export class UserResolver {
  constructor(private usersService: UsersService) {}

  @ResolveField()
  async todoLists(user: User): Promise<TodoList[]> {
    return this.usersService.getTodoLists(user.id);
  }
}
