import { Query, Resolver } from '@nestjs/graphql';
import { CurrentUser } from '../auth/currentUser.decorator';
import { User } from './models/user.model';
import { UsersService } from './users.service';

@Resolver()
export class UsersResolver {
  constructor(private usersService: UsersService) {}

  @Query(() => User)
  async me(@CurrentUser() user: User) {
    return this.usersService.findOrCreate(user.id);
  }
}
