import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import type { TodoList } from '../todo/models/todoList.model';
import { Repository } from 'typeorm';
import { User } from './models/user.model';

@Injectable()
export class UsersService {
  constructor(
    @InjectRepository(User)
    private usersRepository: Repository<User>,
  ) {}

  findOrCreate(userId: string): Promise<User> {
    return this.usersRepository.save({
      id: userId,
    });
  }

  async getTodoLists(userId: string): Promise<TodoList[]> {
    const user = await this.usersRepository.findOne({
      where: { id: userId },
      relations: ['todoLists'],
    });
    return user?.todoLists ?? [];
  }
}
